#
# spec file for package trytond_purchase_request
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2017-2021 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define majorver 5.0

Name:           trytond_purchase_request
Version:        %{majorver}.5
Release:        lp152.2.3.1

URL:            http://www.tryton.org/
Source:         http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz
Source2:        http://downloads.tryton.org/%{majorver}/%{name}-%{version}.tar.gz.asc
Source3:        https://keybase.io/cedrickrier/pgp_keys.asc?fingerprint=7C5A4360F6DF81ABA91FD54D6FF50AFE03489130#/%{name}.keyring
Summary:        Tryton is an OpenSource ERP system
License:        GPL-3.0-only
Group:          Productivity/Office/Management

BuildRequires:  fdupes
BuildRequires:  python3-setuptools

Requires:       trytond
Requires:       trytond_product
Requires:       trytond_purchase

BuildArch:      noarch

%description
The purchase_request module of the Tryton application platform allows you to create a purchase request as pre-step for a purchase

%prep
%setup -q

%build
%python3_build

%install
%python3_install --prefix=%_prefix --root=%buildroot
%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%{python3_sitelib}/*

%changelog
* Fri Jun 18 2021 Axel Braun <axel.braun@gmx.de>
- Version 5.0.5 - Bugfix Release
* Sat Feb 27 2021 Andreas Stieger <andreas.stieger@gmx.de>
- add upstream signing key and validate source signature
* Sun Jan 24 2021 Axel Braun <axel.braun@gmx.de>
- Adaption to new python macros
* Sat Apr  4 2020 Axel Braun <axel.braun@gmx.de>
- Version 5.0.4 - Bugfix Release
* Tue Dec  3 2019 Axel Braun <axel.braun@gmx.de>
- Version 5.0.3 - Bugfix Release
* Thu Nov 21 2019 Axel Braun <axel.braun@gmx.de>
- version 5.0.2 (GNU Health 3.6 series)
* Mon Dec 10 2018 Axel Braun <axel.braun@gmx.de>
- Version 4.6.1 - bugfix release
* Mon Dec 10 2018 Axel Braun <axel.braun@gmx.de>
- Version 4.2.4 - Bugfix Release
* Tue Dec  5 2017 axel.braun@gmx.de
- Version 4.2.3 - Bugfix Release
* Thu Nov  9 2017 axel.braun@gmx.de
- Version 4.2.2 - Bugfix Release
* Mon Jul  3 2017 axel.braun@gmx.de
- Version 4.2.1
* Mon Nov 28 2016 axel.braun@gmx.de 
- Tryton Release 4.2
* Wed Aug  3 2016 axel.braun@gmx.de
- initial build on OBS
  Versio 4.0.2
